disp = load('ConcwBetaExample_simpleDiags-FreeDisp.out');
stressStrain = load('ConcwBetaExample_simpleDiags-diagonalStressStrain.out');
beta = load('ConcwBetaExample_simpleDiags-diagonalBeta.out');

%%

f = figure('units','normalized','outerposition',[0 0.25 1.0 0.55]);
set(f,'DefaultAxesFontSize', 13, ...
'DefaultAxesFontAngle', 'Italic', ...
'DefaultAxesFontName', 'Arial', ...
'DefaultTextFontSize', 13, ...
'DefaultTextFontName', 'Arial', ...
'DefaultTextVerticalAlignment', 'middle', ...
'DefaultTextHorizontalAlignment', 'left');

subplot(1,3,1)
hold on 
box on
plot(disp(:,2)*100/10,disp(:,1),'k-','linewidth',2)
plot([0,0],[20,-20],'k-')
plot([2,-2],[0,0],'k-')
xlabel('Displacement ratio, \Theta (%)')
ylabel('Applied lateral force (kips)')

subplot(1,3,2)
hold on 
box on
plot(stressStrain(:,3)*100,stressStrain(:,2),'k-','linewidth',2)
plot([0,0],[1,-4],'k-')
plot([1,1],[0,0],'k-')
xlabel('Strain (%)')
ylabel('Stress (ksi)')

subplot(1,3,3)
hold on 
box on
plot(stressStrain(:,3)*100,beta(:,2),'k-','linewidth',2)
plot([0,0],[1.4,0],'k-')
plot([1,1],[0,0],'k-')
xlabel('Strain (%)')
ylabel('compression reduction, \beta')
